#// Copyright 1998 Christopher Kirmse.  All rights reserved.

#include "main.h"

/***************************************************************/
Debug::Debug()
{
#ifdef CK_DPRINTF
   AllocConsole();
      
   int32 cFile = _open_osfhandle((long)GetStdHandle(STD_OUTPUT_HANDLE),_O_TEXT);
   FILE * pFILE = _fdopen(cFile,"w");
   if (pFILE != NULL)
      *stdout = *pFILE;

   cFile = _open_osfhandle((long)GetStdHandle(STD_INPUT_HANDLE),_O_TEXT);
   pFILE = _fdopen(cFile,"r");
   if (pFILE != NULL)
      *stdin = *pFILE;

   f = fopen("debug.txt","w");
#endif

}

/***************************************************************/
Debug::~Debug()
{
#ifdef CK_DPRINTF
   fclose(f);
#endif
}

/***************************************************************/
void Debug::Printf(char *fmt,...)
{
#ifdef CK_DPRINTF
   va_list marker;
   char buffer[2000];

   va_start(marker,fmt);

   vsprintf(buffer,fmt,marker);
   
   va_end(marker);
   
   printf("%s",buffer);
   
   fprintf(f,"%s",buffer);

#endif
}
